#ifndef BILLYSHEET_GUI_DATA_HPP
#define BILLYSHEET_GUI_DATA_HPP

#include <string_view>
#include <spdlog/spdlog.h>

namespace character {
    class CharacterSheet;
}

using namespace std::string_view_literals;

namespace gui {

    class GuiData final {
    private:
        friend class Gui;

        character::CharacterSheet &billy;

    public:
        static constexpr std::array classes{
                "Guerrier"sv,
                "Prudent"sv,
                "Paysan"sv,
                "Débrouillard"sv
        };

        GuiData() = delete;

        explicit GuiData(character::CharacterSheet &billy) noexcept: billy(billy) { SPDLOG_DEBUG("Creating GUI Data"); }

        ~GuiData() noexcept = default;
    };
}


#endif //BILLYSHEET_GUI_DATA_HPP
